DCMTK: DRTRTROIObservationsSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTRTROIObservationsSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTRTROIObservationsSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1)
OFCondition | getObservationNumber (OFString &value, const signed long pos=0) const
| get ObservationNumber (3006,0082)
OFCondition | getObservationNumber (Sint32 &value, const unsigned long pos=0) const
| get ObservationNumber (3006,0082)
OFCondition | getROIInterpreter (OFString &value, const signed long pos=0) const
| get ROIInterpreter (3006,00a6)
OFCondition | getRTROIInterpretedType (OFString &value, const signed long pos=0) const
| get RTROIInterpretedType (3006,00a4)
OFCondition | getReferencedROINumber (OFString &value, const signed long pos=0) const
| get ReferencedROINumber (3006,0084)
OFCondition | getReferencedROINumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedROINumber (3006,0084)
DRTAnatomicRegionSequence & | getAnatomicRegionSequence ()
| get AnatomicRegionSequence (0008,2218)
const DRTAnatomicRegionSequence & | getAnatomicRegionSequence () const
| get AnatomicRegionSequence (0008,2218)
DRTPrimaryAnatomicStructureSequence & | getPrimaryAnatomicStructureSequence ()
| get PrimaryAnatomicStructureSequence (0008,2228)
const DRTPrimaryAnatomicStructureSequence & | getPrimaryAnatomicStructureSequence () const
| get PrimaryAnatomicStructureSequence (0008,2228)
DRTROIPhysicalPropertiesSequence & | getROIPhysicalPropertiesSequence ()
| get ROIPhysicalPropertiesSequence (3006,00b0)
const DRTROIPhysicalPropertiesSequence & | getROIPhysicalPropertiesSequence () const
| get ROIPhysicalPropertiesSequence (3006,00b0)
DRTRTROIIdentificationCodeSequence & | getRTROIIdentificationCodeSequence ()
| get RTROIIdentificationCodeSequence (3006,0086)
const DRTRTROIIdentificationCodeSequence & | getRTROIIdentificationCodeSequence () const
| get RTROIIdentificationCodeSequence (3006,0086)
DRTRTRelatedROISequence & | getRTRelatedROISequence ()
| get RTRelatedROISequence (3006,0030)
const DRTRTRelatedROISequence & | getRTRelatedROISequence () const
| get RTRelatedROISequence (3006,0030)
DRTRelatedRTROIObservationsSequence & | getRelatedRTROIObservationsSequence ()
| get RelatedRTROIObservationsSequence (3006,00a0)
const DRTRelatedRTROIObservationsSequence & | getRelatedRTROIObservationsSequence () const
| get RelatedRTROIObservationsSequence (3006,00a0)
DRTSegmentedPropertyCategoryCodeSequence & | getSegmentedPropertyCategoryCodeSequence ()
| get SegmentedPropertyCategoryCodeSequence (0062,0003)
const DRTSegmentedPropertyCategoryCodeSequence & | getSegmentedPropertyCategoryCodeSequence () const
| get SegmentedPropertyCategoryCodeSequence (0062,0003)
DRTTherapeuticRoleCategoryCodeSequence & | getTherapeuticRoleCategoryCodeSequence ()
| get TherapeuticRoleCategoryCodeSequence (3010,0064)
const DRTTherapeuticRoleCategoryCodeSequence & | getTherapeuticRoleCategoryCodeSequence () const
| get TherapeuticRoleCategoryCodeSequence (3010,0064)
DRTTherapeuticRoleTypeCodeSequence & | getTherapeuticRoleTypeCodeSequence ()
| get TherapeuticRoleTypeCodeSequence (3010,0065)
const DRTTherapeuticRoleTypeCodeSequence & | getTherapeuticRoleTypeCodeSequence () const
| get TherapeuticRoleTypeCodeSequence (3010,0065)
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1)
OFCondition | setObservationNumber (const OFString &value, const OFBool check=OFTrue)
| set ObservationNumber (3006,0082)
OFCondition | setROIInterpreter (const OFString &value, const OFBool check=OFTrue)
| set ROIInterpreter (3006,00a6)
OFCondition | setRTROIInterpretedType (const OFString &value, const OFBool check=OFTrue)
| set RTROIInterpretedType (3006,00a4)
OFCondition | setReferencedROINumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedROINumber (3006,0084)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTAnatomicRegionSequence | AnatomicRegionSequence
| AnatomicRegionSequence (0008,2218) vr=SQ, vm=1, type=3.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=3.
DcmIntegerString | ObservationNumber
| ObservationNumber (3006,0082) vr=IS, vm=1, type=1.
DRTPrimaryAnatomicStructureSequence | PrimaryAnatomicStructureSequence
| PrimaryAnatomicStructureSequence (0008,2228) vr=SQ, vm=1, type=3.
DcmPersonName | ROIInterpreter
| ROIInterpreter (3006,00a6) vr=PN, vm=1, type=2.
DRTROIPhysicalPropertiesSequence | ROIPhysicalPropertiesSequence
| ROIPhysicalPropertiesSequence (3006,00b0) vr=SQ, vm=1, type=3.
DRTRTROIIdentificationCodeSequence | RTROIIdentificationCodeSequence
| RTROIIdentificationCodeSequence (3006,0086) vr=SQ, vm=1, type=3.
DcmCodeString | RTROIInterpretedType
| RTROIInterpretedType (3006,00a4) vr=CS, vm=1, type=2.
DRTRTRelatedROISequence | RTRelatedROISequence
| RTRelatedROISequence (3006,0030) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedROINumber
| ReferencedROINumber (3006,0084) vr=IS, vm=1, type=1.
DRTRelatedRTROIObservationsSequence | RelatedRTROIObservationsSequence
| RelatedRTROIObservationsSequence (3006,00a0) vr=SQ, vm=1, type=3.
DRTSegmentedPropertyCategoryCodeSequence | SegmentedPropertyCategoryCodeSequence
| SegmentedPropertyCategoryCodeSequence (0062,0003) vr=SQ, vm=1, type=3.
DRTTherapeuticRoleCategoryCodeSequence | TherapeuticRoleCategoryCodeSequence
| TherapeuticRoleCategoryCodeSequence (3010,0064) vr=SQ, vm=1, type=3.
DRTTherapeuticRoleTypeCodeSequence | TherapeuticRoleTypeCodeSequence
| TherapeuticRoleTypeCodeSequence (3010,0065) vr=SQ, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTRTROIObservationsSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTRTROIObservationsSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAnatomicRegionSequence() [1/2]

DRTAnatomicRegionSequence & DRTRTROIObservationsSequence::Item::getAnatomicRegionSequence | ( |  | ) |
| inline

get AnatomicRegionSequence (0008,2218)

Returns
  reference to sequence element

References AnatomicRegionSequence.

## ◆ getAnatomicRegionSequence() [2/2]

const DRTAnatomicRegionSequence & DRTRTROIObservationsSequence::Item::getAnatomicRegionSequence | ( |  | ) | const
| inline

get AnatomicRegionSequence (0008,2218)

Returns
  const reference to sequence element

References AnatomicRegionSequence.

## ◆ getMaterialID()

OFCondition DRTRTROIObservationsSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getObservationNumber() [1/2]

OFCondition DRTRTROIObservationsSequence::Item::getObservationNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ObservationNumber (3006,0082)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getObservationNumber() [2/2]

OFCondition DRTRTROIObservationsSequence::Item::getObservationNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ObservationNumber (3006,0082)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrimaryAnatomicStructureSequence() [1/2]

DRTPrimaryAnatomicStructureSequence & DRTRTROIObservationsSequence::Item::getPrimaryAnatomicStructureSequence | ( |  | ) |
| inline

get PrimaryAnatomicStructureSequence (0008,2228)

Returns
  reference to sequence element

References PrimaryAnatomicStructureSequence.

## ◆ getPrimaryAnatomicStructureSequence() [2/2]

const DRTPrimaryAnatomicStructureSequence & DRTRTROIObservationsSequence::Item::getPrimaryAnatomicStructureSequence | ( |  | ) | const
| inline

get PrimaryAnatomicStructureSequence (0008,2228)

Returns
  const reference to sequence element

References PrimaryAnatomicStructureSequence.

## ◆ getReferencedROINumber() [1/2]

OFCondition DRTRTROIObservationsSequence::Item::getReferencedROINumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [2/2]

OFCondition DRTRTROIObservationsSequence::Item::getReferencedROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRelatedRTROIObservationsSequence() [1/2]

DRTRelatedRTROIObservationsSequence & DRTRTROIObservationsSequence::Item::getRelatedRTROIObservationsSequence | ( |  | ) |
| inline

get RelatedRTROIObservationsSequence (3006,00a0)

Returns
  reference to sequence element

References RelatedRTROIObservationsSequence.

## ◆ getRelatedRTROIObservationsSequence() [2/2]

const DRTRelatedRTROIObservationsSequence & DRTRTROIObservationsSequence::Item::getRelatedRTROIObservationsSequence | ( |  | ) | const
| inline

get RelatedRTROIObservationsSequence (3006,00a0)

Returns
  const reference to sequence element

References RelatedRTROIObservationsSequence.

## ◆ getROIInterpreter()

OFCondition DRTRTROIObservationsSequence::Item::getROIInterpreter | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ROIInterpreter (3006,00a6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIPhysicalPropertiesSequence() [1/2]

DRTROIPhysicalPropertiesSequence & DRTRTROIObservationsSequence::Item::getROIPhysicalPropertiesSequence | ( |  | ) |
| inline

get ROIPhysicalPropertiesSequence (3006,00b0)

Returns
  reference to sequence element

References ROIPhysicalPropertiesSequence.

## ◆ getROIPhysicalPropertiesSequence() [2/2]

const DRTROIPhysicalPropertiesSequence & DRTRTROIObservationsSequence::Item::getROIPhysicalPropertiesSequence | ( |  | ) | const
| inline

get ROIPhysicalPropertiesSequence (3006,00b0)

Returns
  const reference to sequence element

References ROIPhysicalPropertiesSequence.

## ◆ getRTRelatedROISequence() [1/2]

DRTRTRelatedROISequence & DRTRTROIObservationsSequence::Item::getRTRelatedROISequence | ( |  | ) |
| inline

get RTRelatedROISequence (3006,0030)

Returns
  reference to sequence element

References RTRelatedROISequence.

## ◆ getRTRelatedROISequence() [2/2]

const DRTRTRelatedROISequence & DRTRTROIObservationsSequence::Item::getRTRelatedROISequence | ( |  | ) | const
| inline

get RTRelatedROISequence (3006,0030)

Returns
  const reference to sequence element

References RTRelatedROISequence.

## ◆ getRTROIIdentificationCodeSequence() [1/2]

DRTRTROIIdentificationCodeSequence & DRTRTROIObservationsSequence::Item::getRTROIIdentificationCodeSequence | ( |  | ) |
| inline

get RTROIIdentificationCodeSequence (3006,0086)

Returns
  reference to sequence element

References RTROIIdentificationCodeSequence.

## ◆ getRTROIIdentificationCodeSequence() [2/2]

const DRTRTROIIdentificationCodeSequence & DRTRTROIObservationsSequence::Item::getRTROIIdentificationCodeSequence | ( |  | ) | const
| inline

get RTROIIdentificationCodeSequence (3006,0086)

Returns
  const reference to sequence element

References RTROIIdentificationCodeSequence.

## ◆ getRTROIInterpretedType()

OFCondition DRTRTROIObservationsSequence::Item::getRTROIInterpretedType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RTROIInterpretedType (3006,00a4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSegmentedPropertyCategoryCodeSequence() [1/2]

DRTSegmentedPropertyCategoryCodeSequence & DRTRTROIObservationsSequence::Item::getSegmentedPropertyCategoryCodeSequence | ( |  | ) |
| inline

get SegmentedPropertyCategoryCodeSequence (0062,0003)

Returns
  reference to sequence element

References SegmentedPropertyCategoryCodeSequence.

## ◆ getSegmentedPropertyCategoryCodeSequence() [2/2]

const DRTSegmentedPropertyCategoryCodeSequence & DRTRTROIObservationsSequence::Item::getSegmentedPropertyCategoryCodeSequence | ( |  | ) | const
| inline

get SegmentedPropertyCategoryCodeSequence (0062,0003)

Returns
  const reference to sequence element

References SegmentedPropertyCategoryCodeSequence.

## ◆ getTherapeuticRoleCategoryCodeSequence() [1/2]

DRTTherapeuticRoleCategoryCodeSequence & DRTRTROIObservationsSequence::Item::getTherapeuticRoleCategoryCodeSequence | ( |  | ) |
| inline

get TherapeuticRoleCategoryCodeSequence (3010,0064)

Returns
  reference to sequence element

References TherapeuticRoleCategoryCodeSequence.

## ◆ getTherapeuticRoleCategoryCodeSequence() [2/2]

const DRTTherapeuticRoleCategoryCodeSequence & DRTRTROIObservationsSequence::Item::getTherapeuticRoleCategoryCodeSequence | ( |  | ) | const
| inline

get TherapeuticRoleCategoryCodeSequence (3010,0064)

Returns
  const reference to sequence element

References TherapeuticRoleCategoryCodeSequence.

## ◆ getTherapeuticRoleTypeCodeSequence() [1/2]

DRTTherapeuticRoleTypeCodeSequence & DRTRTROIObservationsSequence::Item::getTherapeuticRoleTypeCodeSequence | ( |  | ) |
| inline

get TherapeuticRoleTypeCodeSequence (3010,0065)

Returns
  reference to sequence element

References TherapeuticRoleTypeCodeSequence.

## ◆ getTherapeuticRoleTypeCodeSequence() [2/2]

const DRTTherapeuticRoleTypeCodeSequence & DRTRTROIObservationsSequence::Item::getTherapeuticRoleTypeCodeSequence | ( |  | ) | const
| inline

get TherapeuticRoleTypeCodeSequence (3010,0065)

Returns
  const reference to sequence element

References TherapeuticRoleTypeCodeSequence.

## ◆ isEmpty()

OFBool DRTRTROIObservationsSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTRTROIObservationsSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTRTROIObservationsSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTRTROIObservationsSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTRTROIObservationsSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setObservationNumber()

OFCondition DRTRTROIObservationsSequence::Item::setObservationNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ObservationNumber (3006,0082)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedROINumber()

OFCondition DRTRTROIObservationsSequence::Item::setReferencedROINumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedROINumber (3006,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIInterpreter()

OFCondition DRTRTROIObservationsSequence::Item::setROIInterpreter | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ROIInterpreter (3006,00a6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTROIInterpretedType()

OFCondition DRTRTROIObservationsSequence::Item::setRTROIInterpretedType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RTROIInterpretedType (3006,00a4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTRTROIObservationsSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrros.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1